com.sun.java.xml.ns.javaee

## Class ApplicationType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ApplicationType

-     public class ApplicationType
      extends Object

  The applicationType defines the structure of the application.

  Java-Klasse für applicationType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="applicationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="application-name" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}descriptionGroup"/>
               <element name="initialize-in-order" type="{http://java.sun.com/xml/ns/javaee}generic-booleanType" minOccurs="0"/>
               <element name="module" type="{http://java.sun.com/xml/ns/javaee}moduleType" maxOccurs="unbounded"/>
               <element name="security-role" type="{http://java.sun.com/xml/ns/javaee}security-roleType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="library-directory" type="{http://java.sun.com/xml/ns/javaee}pathType" minOccurs="0"/>
               <element name="env-entry" type="{http://java.sun.com/xml/ns/javaee}env-entryType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="ejb-ref" type="{http://java.sun.com/xml/ns/javaee}ejb-refType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="ejb-local-ref" type="{http://java.sun.com/xml/ns/javaee}ejb-local-refType" maxOccurs="unbounded" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}service-refGroup"/>
               <element name="resource-ref" type="{http://java.sun.com/xml/ns/javaee}resource-refType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="resource-env-ref" type="{http://java.sun.com/xml/ns/javaee}resource-env-refType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="message-destination-ref" type="{http://java.sun.com/xml/ns/javaee}message-destination-refType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="persistence-context-ref" type="{http://java.sun.com/xml/ns/javaee}persistence-context-refType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="persistence-unit-ref" type="{http://java.sun.com/xml/ns/javaee}persistence-unit-refType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="message-destination" type="{http://java.sun.com/xml/ns/javaee}message-destinationType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="data-source" type="{http://java.sun.com/xml/ns/javaee}data-sourceType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="version" use="required" type="{http://java.sun.com/xml/ns/javaee}dewey-versionType" fixed="6" />
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `applicationName`
    `protected List<DataSourceType>` | `dataSource`
    `protected List<DescriptionType>` | `description`
    `protected List<DisplayNameType>` | `displayName`
    `protected List<EjbLocalRefType>` | `ejbLocalRef`
    `protected List<EjbRefType>` | `ejbRef`
    `protected List<EnvEntryType>` | `envEntry`
    `protected List<IconType>` | `icon`
    `protected String` | `id`
    `protected GenericBooleanType` | `initializeInOrder`
    `protected PathType` | `libraryDirectory`
    `protected List<MessageDestinationType>` | `messageDestination`
    `protected List<MessageDestinationRefType>` | `messageDestinationRef`
    `protected List<ModuleType>` | `module`
    `protected List<PersistenceContextRefType>` | `persistenceContextRef`
    `protected List<PersistenceUnitRefType>` | `persistenceUnitRef`
    `protected List<ResourceEnvRefType>` | `resourceEnvRef`
    `protected List<ResourceRefType>` | `resourceRef`
    `protected List<SecurityRoleType>` | `securityRole`
    `protected List<ServiceRefType>` | `serviceRef`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationName()` Ruft den Wert der applicationName-Eigenschaft ab.
    `List<DataSourceType>` | `getDataSource()` Gets the value of the dataSource property.
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `List<DisplayNameType>` | `getDisplayName()` Gets the value of the displayName property.
    `List<EjbLocalRefType>` | `getEjbLocalRef()` Gets the value of the ejbLocalRef property.
    `List<EjbRefType>` | `getEjbRef()` Gets the value of the ejbRef property.
    `List<EnvEntryType>` | `getEnvEntry()` Gets the value of the envEntry property.
    `List<IconType>` | `getIcon()` Gets the value of the icon property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `GenericBooleanType` | `getInitializeInOrder()` Ruft den Wert der initializeInOrder-Eigenschaft ab.
    `PathType` | `getLibraryDirectory()` Ruft den Wert der libraryDirectory-Eigenschaft ab.
    `List<MessageDestinationType>` | `getMessageDestination()` Gets the value of the messageDestination property.
    `List<MessageDestinationRefType>` | `getMessageDestinationRef()` Gets the value of the messageDestinationRef property.
    `List<ModuleType>` | `getModule()` Gets the value of the module property.
    `List<PersistenceContextRefType>` | `getPersistenceContextRef()` Gets the value of the persistenceContextRef property.
    `List<PersistenceUnitRefType>` | `getPersistenceUnitRef()` Gets the value of the persistenceUnitRef property.
    `List<ResourceEnvRefType>` | `getResourceEnvRef()` Gets the value of the resourceEnvRef property.
    `List<ResourceRefType>` | `getResourceRef()` Gets the value of the resourceRef property.
    `List<SecurityRoleType>` | `getSecurityRole()` Gets the value of the securityRole property.
    `List<ServiceRefType>` | `getServiceRef()` Gets the value of the serviceRef property.
    `String` | `getVersion()` Ruft den Wert der version-Eigenschaft ab.
    `void` | `setApplicationName(String value)` Legt den Wert der applicationName-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setInitializeInOrder(GenericBooleanType value)` Legt den Wert der initializeInOrder-Eigenschaft fest.
    `void` | `setLibraryDirectory(PathType value)` Legt den Wert der libraryDirectory-Eigenschaft fest.
    `void` | `setVersion(String value)` Legt den Wert der version-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### applicationName

          protected String applicationName

    - #### description

          protected List<DescriptionType> description

    - #### displayName

          protected List<DisplayNameType> displayName

    - #### icon

          protected List<IconType> icon

    - #### initializeInOrder

          protected GenericBooleanType initializeInOrder

    - #### module

          protected List<ModuleType> module

    - #### securityRole

          protected List<SecurityRoleType> securityRole

    - #### libraryDirectory

          protected PathType libraryDirectory

    - #### envEntry

          protected List<EnvEntryType> envEntry

    - #### ejbRef

          protected List<EjbRefType> ejbRef

    - #### ejbLocalRef

          protected List<EjbLocalRefType> ejbLocalRef

    - #### serviceRef

          protected List<ServiceRefType> serviceRef

    - #### resourceRef

          protected List<ResourceRefType> resourceRef

    - #### resourceEnvRef

          protected List<ResourceEnvRefType> resourceEnvRef

    - #### messageDestinationRef

          protected List<MessageDestinationRefType> messageDestinationRef

    - #### persistenceContextRef

          protected List<PersistenceContextRefType> persistenceContextRef

    - #### persistenceUnitRef

          protected List<PersistenceUnitRefType> persistenceUnitRef

    - #### messageDestination

          protected List<MessageDestinationType> messageDestination

    - #### dataSource

          protected List<DataSourceType> dataSource

    - #### version

          protected String version

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ApplicationType

          public ApplicationType()

  - ### Method Detail

    - #### getApplicationName

          public String getApplicationName()

      Ruft den Wert der applicationName-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setApplicationName

          public void setApplicationName(String value)

      Legt den Wert der applicationName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getDisplayName

          public List<DisplayNameType> getDisplayName()

      Gets the value of the displayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the displayName property.

      For example, to add a new item, do as follows:

              getDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `DisplayNameType`

    - #### getIcon

          public List<IconType> getIcon()

      Gets the value of the icon property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icon property.

      For example, to add a new item, do as follows:

              getIcon().add(newItem);

      Objects of the following type(s) are allowed in the list `IconType`

    - #### getInitializeInOrder

          public GenericBooleanType getInitializeInOrder()

      Ruft den Wert der initializeInOrder-Eigenschaft ab.
      Returns:
        possible object is `GenericBooleanType`

    - #### setInitializeInOrder

          public void setInitializeInOrder(GenericBooleanType value)

      Legt den Wert der initializeInOrder-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `GenericBooleanType`

    - #### getModule

          public List<ModuleType> getModule()

      Gets the value of the module property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the module property.

      For example, to add a new item, do as follows:

              getModule().add(newItem);

      Objects of the following type(s) are allowed in the list `ModuleType`

    - #### getSecurityRole

          public List<SecurityRoleType> getSecurityRole()

      Gets the value of the securityRole property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the securityRole property.

      For example, to add a new item, do as follows:

              getSecurityRole().add(newItem);

      Objects of the following type(s) are allowed in the list `SecurityRoleType`

    - #### getLibraryDirectory

          public PathType getLibraryDirectory()

      Ruft den Wert der libraryDirectory-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setLibraryDirectory

          public void setLibraryDirectory(PathType value)

      Legt den Wert der libraryDirectory-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getEnvEntry

          public List<EnvEntryType> getEnvEntry()

      Gets the value of the envEntry property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the envEntry property.

      For example, to add a new item, do as follows:

              getEnvEntry().add(newItem);

      Objects of the following type(s) are allowed in the list `EnvEntryType`

    - #### getEjbRef

          public List<EjbRefType> getEjbRef()

      Gets the value of the ejbRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ejbRef property.

      For example, to add a new item, do as follows:

              getEjbRef().add(newItem);

      Objects of the following type(s) are allowed in the list `EjbRefType`

    - #### getEjbLocalRef

          public List<EjbLocalRefType> getEjbLocalRef()

      Gets the value of the ejbLocalRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ejbLocalRef property.

      For example, to add a new item, do as follows:

              getEjbLocalRef().add(newItem);

      Objects of the following type(s) are allowed in the list `EjbLocalRefType`

    - #### getServiceRef

          public List<ServiceRefType> getServiceRef()

      Gets the value of the serviceRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the serviceRef property.

      For example, to add a new item, do as follows:

              getServiceRef().add(newItem);

      Objects of the following type(s) are allowed in the list `ServiceRefType`

    - #### getResourceRef

          public List<ResourceRefType> getResourceRef()

      Gets the value of the resourceRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resourceRef property.

      For example, to add a new item, do as follows:

              getResourceRef().add(newItem);

      Objects of the following type(s) are allowed in the list `ResourceRefType`

    - #### getResourceEnvRef

          public List<ResourceEnvRefType> getResourceEnvRef()

      Gets the value of the resourceEnvRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resourceEnvRef property.

      For example, to add a new item, do as follows:

              getResourceEnvRef().add(newItem);

      Objects of the following type(s) are allowed in the list `ResourceEnvRefType`

    - #### getMessageDestinationRef

          public List<MessageDestinationRefType> getMessageDestinationRef()

      Gets the value of the messageDestinationRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messageDestinationRef property.

      For example, to add a new item, do as follows:

              getMessageDestinationRef().add(newItem);

      Objects of the following type(s) are allowed in the list `MessageDestinationRefType`

    - #### getPersistenceContextRef

          public List<PersistenceContextRefType> getPersistenceContextRef()

      Gets the value of the persistenceContextRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the persistenceContextRef property.

      For example, to add a new item, do as follows:

              getPersistenceContextRef().add(newItem);

      Objects of the following type(s) are allowed in the list `PersistenceContextRefType`

    - #### getPersistenceUnitRef

          public List<PersistenceUnitRefType> getPersistenceUnitRef()

      Gets the value of the persistenceUnitRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the persistenceUnitRef property.

      For example, to add a new item, do as follows:

              getPersistenceUnitRef().add(newItem);

      Objects of the following type(s) are allowed in the list `PersistenceUnitRefType`

    - #### getMessageDestination

          public List<MessageDestinationType> getMessageDestination()

      Gets the value of the messageDestination property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messageDestination property.

      For example, to add a new item, do as follows:

              getMessageDestination().add(newItem);

      Objects of the following type(s) are allowed in the list `MessageDestinationType`

    - #### getDataSource

          public List<DataSourceType> getDataSource()

      Gets the value of the dataSource property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dataSource property.

      For example, to add a new item, do as follows:

              getDataSource().add(newItem);

      Objects of the following type(s) are allowed in the list `DataSourceType`

    - #### getVersion

          public String getVersion()

      Ruft den Wert der version-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Legt den Wert der version-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.